# BookletEntity class Null safety

## Constructors

BookletEntity({required String? appId, String? description, List<SectionEntity>? sections, StorageConditionsEntity? conditions})

## Properties

appId → String?
  final
conditions → StorageConditionsEntity?
  final
description → String?
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
props → List<Object?>
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
sections → List<SectionEntity>?
  final

## Methods

copyWith({String? documentID, String? appId, String? description, List<SectionEntity>? sections, StorageConditionsEntity? conditions}) → BookletEntity
enrichedDocument(Map<String, Object?> theDocument) → dynamic
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
switchAppId({required String newAppId}) → BookletEntity
  override
toDocument() → Map<String, Object?>
  override
toJsonString() → String
toString() → String
  A string representation of this object. [...]
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

fromJsonString(String json, {Map<String, String>? newDocumentIds}) → BookletEntity?
fromMap(Object? o, {Map<String, String>? newDocumentIds}) → BookletEntity?